using System;

public delegate void myDelegate(int arg1, double arg2);

public class App
{
    public static void Main()
    {
        myDelegate call = new myDelegate(aMethod);
        call += new myDelegate(anotherMethod);
        call(1, 2.0);
    }

    static void aMethod(int k, double x)
    {
        System.Console.WriteLine("aMethod " + k + " " + x);
    }

    static void anotherMethod(int k, double x)
    {
        System.Console.WriteLine("anotherMethod " + k + " " + x);
    }
}
